
*{
    border: none;
    padding: 0;
    margin: 0;
}
/* @font-face {
    font-family: 'Montserrat';
} */
/* WebKit */
::-webkit-scrollbar {
    width: 10px;
    background-color: #000000;
  }

  ::-webkit-scrollbar-thumb {
    border-radius: 10px;
    -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
    background-color: #AF0000;
  }
  ::-webkit-scrollbar-thumb:hover {
    background-color: #FF0000;
  }
header{
    width: 100%;
    height: 15vh;
    font-family: 'Montserrat';
    /* background-color: aqua; */
}
.logo:hover{
    cursor: pointer;
}
.headersection1{
    position: fixed;
    display: flex;
    flex-direction: row;
    width: 100%;
    height: 10%;
    background-color: #121212;
    z-index: 999;
}
.headersection1.show{
    position: fixed;
    display: flex;
    flex-direction: row;
    width: 100%;
    height: 30%;
    background-color: #121212;
}

.logobox{
    display: flex;
    flex-wrap: wrap;
    width: 10%;
    height: 100%;
    /* background-color: aliceblue; */
    object-fit: contain;
}
.logobox.show{
    display: flex;
    flex-wrap: wrap;
    width: 10%;
    height: 26.7%;
    /* background-color: aliceblue; */
    object-fit: contain;
}
.logo{
    width: 100%;
    height: 100%;
    object-fit: contain;
}
.menubox{
    display: flex;
    flex-direction: row;
    list-style: none;
    /* background-color: aqua; */
    width: 50%;
    justify-content: space-evenly;
    align-items: center;
    margin-left: 15%;
    overflow: hidden; /* Hide overflow */
}
.menubox.show{
    display: flex;
    flex-direction: column;
    list-style: none;
    /* background-color: aqua; */
    width: 50%;
    justify-content: space-evenly;
    align-items: center;
    /* background-color: aliceblue; */
    margin-left: 15%;
}
.stylelink{
    font-size: 20px;
    font-weight: medium;
    text-decoration: none;
    color: white;
    position: relative;
}
@media screen and (min-width: 500px) {
    .soulignement {
        position: absolute;
        bottom: -2px;
        left: 0;
        width: 0;
        height: 3px;
        background-color: #AF0000;
        transition: width 0.5s ease-out;
        margin-top: 5px; /* Ajout d'un espace entre le mot et le soulignement */
      }
      
      
      .stylelink:hover .soulignement {
        width: 100%;
      }
}

/* .stylelink:hover{
    font-size: x-large;
    transition: all 1s ease;
} */

@media (max-width: 1000px) {
    .menubox {
      display: none;
    }
    .menu-button {
      display: block;
    }
    .stylelink{
        font-size: 15px;
        font-weight: medium;
        text-decoration: none;
        color: white;
    }    
  }
  
  @media (min-width: 1000px) {
    .menubox {
      display: flex;
    }
    .menu-button {
      display: none;
    }
  }

  .menu-button{
    align-items: center;
    /* margin-left: 80%; */
    right: 10px;
    position: fixed;
    width: 10%;
    height: 10%;
    /* background-color: rgb(38, 112, 176); */
    background-color: transparent;
}



/* ======================================================================================== */
/* FIN PREMIERE PAGE */
/* ======================================================================================== */
.inner-div-left {
    display: inline-block;
    width: 250px;
    height: 250px;
    background-color:#c2c2c25e; 
}
.inner-div-right {
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    width: 700px;
    height: 250px;
    /* background-color:blue;  */
    border-radius: 20px;
}
#parentDivId{
    width: 950px;
    display: flex;
    flex-direction: column;
    align-items: center;
    /* background-color: #136ef7; */
    min-height: 70vh;
}
.boxmere{
    display: flex;
    flex-direction: row;
    border: solid 2px #c2c2c25e;
    border-radius: 24px;
    color: white;
    opacity: 0;
    animation: fadeIn 1.5s ease-in-out forwards;
  }
  
  @keyframes fadeIn {
    from {
      opacity: 0;
    }
    to {
      opacity: 1;
    }
  }
.titre{
    margin-left: 3%;
    font-size: 22px;
    font-weight: 600;
    font-family: 'Montserrat';
}
.description{
    margin-left: 3%;
    font-size: 16px;
    font-weight: 400;
    font-family: 'Montserrat';
    width: 90%;
}
.justification{
    margin-left: 3%;
    font-size: 16px;
    font-weight: 400;
    font-family: 'Montserrat';
}
.price{
    margin-left: 3%;
    font-size: 22px;
    font-weight: 400;
    font-family: 'Montserrat';
    /* background-color: #888; */
    border: 2px solid;
    border-color: #c2c2c25e;
    border-radius: 5px;
    width: fit-content;
}
body{
    display: flex;
    flex-direction: column;
    align-items: center;
    background-color: #232323;
    min-height: 100vh;
}
#boutonafficherplus{
    display: none;
}


@media (max-width: 1000px) {
    .boxmere{
        width: 580px;
        height: 150px;
        /* flex-direction: column; */
        /* background-color: #121212; */
        /* justify-content: center; */
        align-items: center;
        /* border: none; */
        /* gap: 0px; */
    }
    .inner-div-left{
        width: 150px;
        height: 150px;
    }
    .inner-div-right{
        height: 150px;
        width: 100%;
    }
    #parentDivId{
        width: 90%;
    }
    .titre{
        font-size: 13px;
        /* background-color: #516079; */
        /* margin-top: -5%; */
    }
    .description{
        font-size: 11px;
        /* background-color: #b62f2f; */
        /* margin-top: -10%; */
    }
    .justification{
        font-size: 11px;
        /* margin-top: -10%; */
    }
    .price{
        font-size: 11px;
        /* margin-top: -10%; */
    }
}
@media (max-width: 650px) {
    #parentDivId{
        display: flex;
        flex-direction: row;
        flex-wrap: wrap;
        width: 100%;
        /* background-color: #121212; */
        align-items: center;
        justify-content: center;
        gap: 20px;
    }
    .boxmere{
        flex-direction: column;
        align-items: center;
        /* border: none; */
        width: 250px;
        height: auto;
        /* background-color: rgb(227, 238, 238); */
    }
    .inner-div-left{
        width: 250px;
        height: 250px;
    }
    .inner-div-right{
        display: flex;
        flex-direction: row;
        align-items: center;
        flex-wrap: wrap;
        height: 150px;
        width: 100%;
        /* background-color: antiquewhite; */
    }
    #parentDivId{
        width: 90%;
    }
    .titre{
        font-size: 15px;
        order: 1;
        width: 60%;
        /* background-color: #888; */
    }
    .description{
        font-size: 13px;
        max-height: 66px; /* Hauteur maximale initiale du texte */
        overflow: hidden; /* Masquer le texte qui dépasse */
        text-overflow: ellipsis; /* Ajouter des points de suspension */
        /* background-color: aqua; */
        order: 3;
        text-align: justify;
        width: 80%;
        /* display: none; */
    }

    .price{
        font-size: 15px;
        /* background-color: #e05353; */
        border: none;
        order: 2;
    }
    .justification{
        display: none;
        order: 5;
    }
    #boutonafficherplus{
        display: flex;
        align-items: center;
        justify-content: center;
        width: 100%;
        border: none;
        background-color: transparent;
        color: white;
        order: 4;
    }
    #boutonafficherplus:hover{
        cursor: pointer;
    }
}
/* ===================================SEARCH BAR==================================================== */
.searchBAR{
    width: 300px;
    height: 30px;
    border-radius: 100px; /* la valeur que vous choisissez dépendra de la courbure que vous souhaitez */
    border: none; /* supprime la bordure par défaut de l'input */
    outline: none; /* supprime le contour autour de l'input */
    background-color: #666666;
    color: white;
    text-align: center;
}
.searchBAR::placeholder{
    color: white;
}
@media (max-width: 650px) {
    .searchBAR{
        width: 275px;
    }
}


/* ======================================================================================== */
/* FIN BODY*/
/* ======================================================================================== */

#popup {
    display: none;
    position: fixed;
    z-index: 1;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgba(0,0,0,0.4);
}

#popup-content {
    background-color: #fefefe;
    margin: 15% auto;
    padding: 20px;
    border: 1px solid #888;
    width: 80%;
    text-align: center;
}

#popup-close {
    color: #aaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
}

#popup-close:hover,
#popup-close:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
}



/* ======================================================================================== */
/* FIN POPUP*/
/* ======================================================================================== */


  main {
    display: flex;
    flex-direction: column;
    font-family: 'montserrat';
  }
  
  .droparea {
    margin: 1rem auto;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 384px;
    max-width: 100%;
    height: 160px;
    border: 4px dashed grey;
    border-radius: 15px;
  }
  
  .droparea i {
    font-size: 3rem;
    flex-grow: 1;
    padding-top: 1rem;
  }
  
  .green-border {
    border-color: green;
  }


/* ======================================================================================== */
/* FIN DRAG & DROP*/
/* ======================================================================================== */

/* =========================================FOOTER===================================== */


footer{
    bottom: 0;    
    margin-top: 5%;
    width: 100%;
    height: 120px;
}

@media (max-width: 600px) {
    footer{
        height: 80px;
    }
}

.footersection1{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    height: 100%;
    background-color: #121212;
}
.logobox2{
    display: flex;
    flex-wrap: wrap;
    width: 10%;
    height: 60%;
    object-fit: contain;
}

.logo2{
    width: 100%;
    height: 100%;
    object-fit: contain;
}

.reseau{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 80%;
    height: 100%;
    font-size: 20px;
    font-weight: 600;
    font-family: 'Montserrat';
    /* background-color: #002fff; */
    color: white;
    gap: 10%;
}

.lastlink{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: right;
    text-align: center;
    width: 10%;
    height: 100%;
    font-size: 13px;
    font-weight: 500;
    font-family: 'Montserrat';
    color: white;
    gap: 10%;
    text-decoration: none;
}

.lastlinkitem{
    text-decoration: none;
    color: white;
}

.speciala{
    display: flex;
    flex-direction: column;
    align-items: center;
}

@media (max-width: 800px) {
    .lastlink{
        width: 15%;
        margin-right: 5%;
        font-size: 7px;
    }
    .reseau{
        font-size: 9px;
    }
    .logobox2{
        margin-left: 5%;
        width: 15%;
    }
    .reseau{
        width: 70%;
    }
}

/* ================================wrapper for facebook ============================================= */


  /* ================================wrapper for facebook ============================================= */


  
  




@import url("https://fonts.googleapis.com/css2?family=Poppins&display=swap");
* {
margin: 0;
padding: 0;
box-sizing: border-box;
}

*:focus,
*:active {
outline: none !important;
-webkit-tap-highlight-color: transparent;
}



.wrapper {
display: inline-flex;
}

.wrapper .icon {
font-family: 'Montserrat';
position: relative;
background: #ffffff;
border-radius: 50%;
padding: 15px;
width: 50px;
height: 50px;
font-size: 18px;
display: flex;
justify-content: center;
align-items: center;
flex-direction: column;
box-shadow: 0 10px 10px rgba(0, 0, 0, 0.1);
cursor: pointer;
transition: all 0.2s cubic-bezier(0.68, -0.55, 0.265, 1.55);
-webkit-border-radius: 50%;
-moz-border-radius: 50%;
-ms-border-radius: 50%;
-o-border-radius: 50%;
-webkit-transition: all 0.2s cubic-bezier(0.68, -0.55, 0.265, 1.55);
-moz-transition: all 0.2s cubic-bezier(0.68, -0.55, 0.265, 1.55);
-ms-transition: all 0.2s cubic-bezier(0.68, -0.55, 0.265, 1.55);
-o-transition: all 0.2s cubic-bezier(0.68, -0.55, 0.265, 1.55);
}

@media (max-width: 500px) {
    .wrapper .icon {
        width: 30px;
        height: 30px;
    }
}

.wrapper .tooltip {
position: absolute;
top: 0;
font-size: 14px;
background: #fff;
color: #ffffff;
padding: 5px 8px;
box-shadow: 0 10px 10px rgba(0, 0, 0, 0.1);
opacity: 0;
pointer-events: none;
border-radius: 4px;
transition: all 0.3s cubic-bezier(0.68, -0.55, 0.265, 1.55);
-webkit-transition: all 0.3s cubic-bezier(0.68, -0.55, 0.265, 1.55);
-moz-transition: all 0.3s cubic-bezier(0.68, -0.55, 0.265, 1.55);
-ms-transition: all 0.3s cubic-bezier(0.68, -0.55, 0.265, 1.55);
-o-transition: all 0.3s cubic-bezier(0.68, -0.55, 0.265, 1.55);
-webkit-border-radius: 4px;
-moz-border-radius: 4px;
-ms-border-radius: 4px;
-o-border-radius: 4px;
}

.wrapper .tooltip::before {
position: absolute;
content: "";
height: 8px;
width: 8px;
background: #fff;
bottom: -3px;
left: 50%;
transform: translate(-50%) rotate(45deg);
transition: all 0.3s cubic-bezier(0.68, -0.55, 0.265, 1.55);
-webkit-transform: translate(-50%) rotate(45deg);
-moz-transform: translate(-50%) rotate(45deg);
-ms-transform: translate(-50%) rotate(45deg);
-o-transform: translate(-50%) rotate(45deg);
-webkit-transition: all 0.3s cubic-bezier(0.68, -0.55, 0.265, 1.55);
-moz-transition: all 0.3s cubic-bezier(0.68, -0.55, 0.265, 1.55);
-ms-transition: all 0.3s cubic-bezier(0.68, -0.55, 0.265, 1.55);
-o-transition: all 0.3s cubic-bezier(0.68, -0.55, 0.265, 1.55);
}

.wrapper .icon:hover .tooltip {
top: -45px;
opacity: 1;
visibility: visible;
pointer-events: auto;
}

.wrapper .icon:hover span,
.wrapper .icon:hover .tooltip {
text-shadow: 0 -1px 0 rgba(0, 0, 0, 0.01);
}

.wrapper .facebook:hover,
.wrapper .facebook:hover .tooltip,
.wrapper .facebook:hover .tooltip::before {
background: #3b5999;
color: #fff;
}
.wrapper .instagram:hover,
.wrapper .instagram:hover .tooltip,
.wrapper .instagram:hover .tooltip::before {
background: #e1306c;
color: #fff;
}

.wrapper .youtube:hover,
.wrapper .youtube:hover .tooltip,
.wrapper .youtube:hover .tooltip::before {
background: #e92828;
color: #fff;
}


/* wraperResponsive */


.wrapperResponsive {
    display: none;
    }
    
    .wrapperResponsive .icon {
    font-family: 'Montserrat';
    position: relative;
    background: #ffffff;
    border-radius: 50%;
    padding: 15px;
    margin: 10px;
    width: 20px;
    height: 20px;
    font-size: 18px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    box-shadow: 0 10px 10px rgba(0, 0, 0, 0.1);
    cursor: pointer;
    transition: all 0.2s cubic-bezier(0.68, -0.55, 0.265, 1.55);
    -webkit-border-radius: 50%;
    -moz-border-radius: 50%;
    -ms-border-radius: 50%;
    -o-border-radius: 50%;
    -webkit-transition: all 0.2s cubic-bezier(0.68, -0.55, 0.265, 1.55);
    -moz-transition: all 0.2s cubic-bezier(0.68, -0.55, 0.265, 1.55);
    -ms-transition: all 0.2s cubic-bezier(0.68, -0.55, 0.265, 1.55);
    -o-transition: all 0.2s cubic-bezier(0.68, -0.55, 0.265, 1.55);
    }
    
    .wrapperResponsive .tooltip {
    position: absolute;
    top: 0;
    font-size: 14px;
    background: #fff;
    color: #ffffff;
    padding: 5px 8px;
    box-shadow: 0 10px 10px rgba(0, 0, 0, 0.1);
    opacity: 0;
    pointer-events: none;
    border-radius: 4px;
    transition: all 0.3s cubic-bezier(0.68, -0.55, 0.265, 1.55);
    -webkit-transition: all 0.3s cubic-bezier(0.68, -0.55, 0.265, 1.55);
    -moz-transition: all 0.3s cubic-bezier(0.68, -0.55, 0.265, 1.55);
    -ms-transition: all 0.3s cubic-bezier(0.68, -0.55, 0.265, 1.55);
    -o-transition: all 0.3s cubic-bezier(0.68, -0.55, 0.265, 1.55);
    -webkit-border-radius: 4px;
    -moz-border-radius: 4px;
    -ms-border-radius: 4px;
    -o-border-radius: 4px;
    }
    
    .wrapperResponsive .tooltip::before {
    position: absolute;
    content: "";
    height: 8px;
    width: 8px;
    background: #fff;
    bottom: -3px;
    left: 50%;
    transform: translate(-50%) rotate(45deg);
    transition: all 0.3s cubic-bezier(0.68, -0.55, 0.265, 1.55);
    -webkit-transform: translate(-50%) rotate(45deg);
    -moz-transform: translate(-50%) rotate(45deg);
    -ms-transform: translate(-50%) rotate(45deg);
    -o-transform: translate(-50%) rotate(45deg);
    -webkit-transition: all 0.3s cubic-bezier(0.68, -0.55, 0.265, 1.55);
    -moz-transition: all 0.3s cubic-bezier(0.68, -0.55, 0.265, 1.55);
    -ms-transition: all 0.3s cubic-bezier(0.68, -0.55, 0.265, 1.55);
    -o-transition: all 0.3s cubic-bezier(0.68, -0.55, 0.265, 1.55);
    }
    
    .wrapperResponsive .icon:hover .tooltip {
    top: -45px;
    opacity: 1;
    visibility: visible;
    pointer-events: auto;
    }
    
    .wrapperResponsive .icon:hover span,
    .wrapperResponsive .icon:hover .tooltip {
    text-shadow: 0 -1px 0 rgba(0, 0, 0, 0.01);
    }
    
    .wrapperResponsive .facebook:hover,
    .wrapperResponsive .facebook:hover .tooltip,
    .wrapperResponsive .facebook:hover .tooltip::before {
    background: #3b5999;
    color: #fff;
    }

    .wrapper{
        display: flex;
        flex-direction: row;
        justify-content: center;
        align-items: center;
        /* background-color: #750af0; */
    }
    
    .stylelinkfooter{
        font-weight: 400;
        text-decoration: none;
        font-family: 'Montserrat';
        color: white;
    }
    .wrapperResponsive{
        display: none;
    }

    /* TEST BUTTON */

      
      .wrapperbutton{
        margin-top: 6%;
        position: relative;
        /* width: 100%; */
        height: 60px;
      }
      
      .buttonsend{
        
        font-size: 15px;
        font-weight: 500;
        font-family: 'Montserrat';
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        width: 175px;
        height: 45px;
        line-height: 1;
        letter-spacing: 1px;
        background-color: #FE3737; 
        border-radius: 15px;
        cursor: pointer;
        overflow: hidden;
        transition: all .35s;
        color: white;
      }
      
      .buttonsend:hover{
        background-color: #f66060; 
      }
      
      .buttonsend span{
        opacity: 1;
        visibility: visible;
        transition: all .35s;
      }
      
      .success{
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background: #fff;
        border-radius: 50%;
        z-index: 1;
        opacity: 0;
        visibility: hidden;
        transition: all .35s;
      }
      
      .success svg{
        width: 20px;
        height: 20px;
        fill: yellowgreen;
        transform-origin: 50% 50%;
        transform: translateY(-50%) rotate(0deg) scale(0);
        transition: all .35s;
      }
      
      .buttonsend.is_active{
        border-radius: 40px;
        width: 40px;
        height: 40px;
      }
      
      .buttonsend.is_active .success{
        opacity: 1;
        visibility: visible;
      }
      
      .buttonsend.is_active .success svg{
        margin-top: 50%;
        transform: translateY(-50%) rotate(720deg) scale(1);
      }
      
      .buttonsend.is_active span{
        opacity: 0;
        visibility: hidden;
      }


#popup-open{
    margin-top: 5%;
}